<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_c5aeb46d4987229c" . "d0033323a7f86836" => base64_decode("b2Jq" . "ZWN0" . "cw=="), "_0f939e9a0c1b17527bce221f42ee82" . "7e" => base64_decode("IEdST1VQIEJZIHVzZXJfa" . "WQpIHQ="), "use" . "r_i" . "d" => base64_decode("dXNlc" . "l9pZA" . "=="), "_ead9f7746c5d5e2801ce5704837" . "fb63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIE" . "FORCA="), "aggreg" . "ation" => base64_decode("YWdncmVnYXRp" . "b24="), "_d9e86995f0bc6219b3823d84223" . "26153" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb" . "2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZWdhdG" . "lvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_79a5c6862da55a" . "81bbba54a4e91b2" . "e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb" . "2JqZWN0cyBERVNDLCB1bmlxdWVfb2JqZWN0cy" . "BERVNDLCB1c2VyX2lkIEFTQw=="), "_07afa3e4c6840a90ca78db3521d" . "fbe2b" => base64_decode("c3RkQ" . "2xhc3" . "M="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d9e86995f0bc6219b3823d" . "8422326153"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_79a5c6862d" . "a55a81bbba5" . "4a4e91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["aggregatio" . "n"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["user_i" . "d"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c5aeb46d4987229cd0033323a7f8" . "6836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ead9f7746c5d5e2801ce57" . "04837fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0f939e9a0c" . "1b17527bce2" . "21f42ee827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_07afa3e4c6840a90c" . "a78db3521dfbe2b"];
    }
}